[arch-commits] Commit in randrproto/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 13:35:36 EDT 2008


    Date: Sunday, July 6, 2008 @ 13:35:36
  Author: jgc
Revision: 4330

upgpkg: randrproto 1.2.2-1

Modified:
  randrproto/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 17:25:31 UTC (rev 4329)
+++ PKGBUILD	2008-07-06 17:35:36 UTC (rev 4330)
@@ -2,17 +2,20 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=randrproto
-pkgver=1.2.1
+pkgver=1.2.2
 pkgrel=1
 pkgdesc="X11 RandR extension wire protocol"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e2e45564f8ce22e00e1360e79c8ccdeb')
+md5sums=('0458f24d6a77ff4bc5182816f482afa1')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list